home Forumsplay_arrow Minecraft fiber_manual_record Help

1

Need help with server crash

1 emerald2 replies56 views
created 07/10/2018 11:17 pm by MachinaAlpha
last reply 07/14/2018 4:11 pm
I'm trying to create a modded Minecraft server. After hours of work I finally managed to get my custom modpack to work Clientside, but I couldn't get it to work on the server. I finally decided to screw the whole thing and just do one mod. ONE MOD. But apparently I'm doing this wrong too. My server keeps crashing and I cannot figure out why. This is my crash report
Spoiler - click to reveal
---- Minecraft Crash Report ----

WARNING: coremods are present:
IELoadingPlugin (ImmersiveEngineering-0.12-83-core.jar)
Contact their authors BEFORE contacting forge

// My bad.

Time: 7/10/18 11:10 PM
Description: Exception in server tick loop

Missing Mods:
forge : [14.23.3.2655,)

net.minecraftforge.fml.common.MissingModsException: Mod immersiveengineering (Immersive Engineering) requires [email protected],)]
at net.minecraftforge.fml.common.Loader.sortModList(Loader.java:280)
at net.minecraftforge.fml.common.Loader.loadMods(Loader.java:547)
at net.minecraftforge.fml.server.FMLServerHandler.beginServerLoading(FMLServerHandler.java:97)
at net.minecraftforge.fml.common.FMLCommonHandler.onServerStart(FMLCommonHandler.java:335)
at net.minecraft.server.dedicated.DedicatedServer.func_71197_b(DedicatedServer.java:122)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:483)
at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
Minecraft Version: 1.12
Operating System: Linux (amd64) version 4.8.13-xxxx-grs-ipv6-64
Java Version: 1.8.0_121, Oracle Corporation
Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
Memory: 790376912 bytes (753 MB) / 1387266048 bytes (1323 MB) up to 1908932608 bytes (1820 MB)
JVM Flags: 4 total; -Xmx2048M -Xms1024M -XX:ParallelGCThreads=2 -XX:ThreadStackSize=512
IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
FML: MCP 9.40 Powered by Forge 14.21.1.2387 5 mods loaded, 5 mods active
States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
U minecraft{1.12} [Minecraft] (minecraft.jar)
U mcp{9.19} [Minecraft Coder Pack] (minecraft.jar)
U FML{8.0.99.99} [Forge Mod Loader] (custom.jar)
U forge{14.21.1.2387} [Minecraft Forge] (custom.jar)
U immersiveengineering{0.12-83} [Immersive Engineering] (ImmersiveEngineering-0.12-83.jar)
Loaded coremods (and transformers):
IELoadingPlugin (ImmersiveEngineering-0.12-83-core.jar)
blusunrize.immersiveengineering.common.asm.IEClassTransformer
Profiler Position: N/A (disabled)
Is Modded: Definitely; Server brand changed to 'fml,forge'
Type: Dedicated Server (map_server.txt)
Posted by avatar
MachinaAlpha
Level 1 : New Miner
0

2 replies

1
07/14/2018 4:11 pm
Level 2 Apprentice Network
Mooselag
avatar
1, you need to install the latest Forge for 1.12 and the latest Forge Server for 1.12
2, your missing mod's that the server is trying to call

It seems ImmersiveEngineering needs a Forge version which is older or newer than the one you're using. Make sure you have the correct mod version for 1.12. It could also just be a bug with their programming. Try removing ImmersiveEngineering and try a different mod.
1
07/12/2018 4:05 pm
Level 52 Grandmaster Mlem Mlem Bat
Karrthus
avatar
you need to install forge version 14.23.3.2655

Search

Browse

Site

© 2010 - 2018
planetminecraft.com

Welcome